const AmorphConverter = require('./')
const chai = require('chai')

chai.should()

describe('AmorphConverter', () => {

  const uint8Array = new Uint8Array([0, 1, 2])
  const array = [0, 1, 2]
  let converter

  it('should create', () => {
    converter = new AmorphConverter((uint8Array) => {
      return Array.from(uint8Array)
    }, (array) => {
      return new Uint8Array(array)
    })
  })
  it('should .to', () => {
    converter.to(uint8Array).should.be.instanceof(Array)
    converter.to(uint8Array).should.deep.equal(array)
  })
  it('should .from', () => {
    converter.from(array).should.be.instanceof(Uint8Array)
    converter.from(array).should.deep.equal(uint8Array)
  })
})
